Subject: Re: Productivity
From: Abdulmajeed <[email-masked]>
To: Saurabh Dadu <[email-masked]>
Cc: Shakeeb Arsalan <[email-masked]>
Date: Sun, 13 Feb 2022 21:33:25 +0400

Hi Saurabh,

Hope this finds you well,

for the productivity I'm personally monitoring the targets done by 
agents every single day, most HB agents are new ones (Between 2 weeks up 
to 40 days) Below are the productivity for the last 7 days:

7th Feb - 13th Feb
Name	E-mail	Chat	Total	Working Days	Average

Asma Alotaibi	8	371	379	5	75.8
Duaa Almutawa	19	403	422	5	84.4
Abdulilah Alorefaj	-	259	259	5	51.8
Abdullah Abuthnain	-	316	316	5	63.2
Jabir Almarri	-	278	278	5	55.6

and we're pushing them every week to hit higher numbers so they can 
reach between 90-100 in a relatively short span of time, in addition to 
that, starting from tomorrow there will be refresher sessions for the 
team (weekly or bi-weekly) to make sure that everyone has the knowledge 
and the skills needed.

Thanks for your Cooperation

Regards,
Abdulmajeed Alanazi

On 2022-02-10 15:26, Saurabh Dadu wrote:
> Dear Abdulmajeed,
> 
>  I hope you are well. I've stopped getting your daily reports. However
> the more important point I wish to make here right now is the problem
> in Homebox Team's productivity.
> 
>  I see you have a lot of attrition, managing which is the
> responsibility of your company. We are paying you full money for each
> agent, but most of them are not even delivering the mandatory target.
> 
> 
>  We would need that every agent meet their mandatory targets, and the
> day those people don't meet the mandatory targets, we will have to
> reduce their billable attendance to the prorated to their actual
> productivity.
> 
>  I am sure you understand when the target is 90, and an agent does
> only 20 cases, we cannot pay him for working on 90 cases.
> 
>  I need you to take serious action on this right now, as this is
> hurting us and our clients.
> 
> Saurabh Dadu
> LiveSalesman
> India: +91 120 4332621 x 17
> US: 1 240 949 2437
> Cell: +91 9810175203